#pragma once

#include "thread.hpp"

#include <string>

class Connection;

struct CommandEvent : Event
{
    std::string_view oper;
    std::string_view account;
    std::string_view nick;
    std::string_view command;
    std::string_view arg; 
};

struct CommandThread
{
    static auto start(Connection&) -> void;
};